Skip to main content
GET
Query Invoice Line Items

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
invoices.read
Grants permission to read invoices.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

invoiceId
string<uuid>
required

The ID of the invoice that the line items belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested line items.

id
string<uuid>
required

Unique ID to identify an invoice line item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

invoiceId
string<uuid>
required

Unique ID to identify an invoice.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderId
string<uuid>
required

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

Unique ID to identify a sales order line item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>
required

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string
required

Name of the item.

sKU
string
required

SKU of the sales invoice item.

type
enum<integer>
required

Type of the sales invoice item.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21
quantity
number<decimal>
required

The quantity of the line item.

salesUnit
string
required

The measurement unit in which the line item is sold.

salesPriceNet
number<decimal>
required

The net sales price of the line item.

salesPriceGross
number<decimal>
required

The gross sales price of the line item.

discount
number<decimal>
required

The discount applied to the line item.

purchasePriceNet
number<decimal>
required

The price for which the merchant has bought the item.

taxRate
number<decimal>
required

The tax rate of the line item.